Bug 234982 - MCP61 Ethernet Controller Detected as PCI Bridge On ASSUS M2N-MX
MCP61 Ethernet Controller Detected as PCI Bridge On ASSUS M2N-MX
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislaw Gruszka
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 01:01 EDT by John Coyle
Modified: 2010-06-30 13:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 05:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 221910 None None None Never

  None (edit)
Description John Coyle 2007-04-03 01:01:35 EDT
Description of problem:

Test kernel-2.6.9-52.EL.gtest.14 on ASSUS M2N-MX motherboard mis-detects the
MCP61 ethernet controller for a PCI Bridge. 

Tested

Tested on an ASSUS M2N-MX motherboard with the MCP61 chipset. Ethernet
controller has device id 0x03ef.

Version-Release number of selected component (if applicable):

kernel-2.6.9-52.EL.gtest.14

 
Actual results:

MCP61 ethernet controller is detected as a PCI bridge

Expected results:

MCP61 ethernet controller should be detected as an ethernet controller

Additional info:

Adding additional PCI quirk definition fixed the issue:

--- linux-2.6.9/drivers/pci/quirks.c.orig       2007-03-29 23:57:59.000000000 -0400
+++ linux-2.6.9/drivers/pci/quirks.c    2007-03-29 23:57:59.000000000 -0400
@@ -1427,6 +1427,7 @@
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_10,
quirk_nforce_network_class );
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_11,
quirk_nforce_network_class );
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_15,
 quirk_nforce_network_class);
+DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_19,
 quirk_nforce_network_class);
Comment 1 Stanislaw Gruszka 2010-06-16 05:22:32 EDT
I'm sorry, but we do not take such patches to RHEL4 anymore. Please update to RHEL5. I'm closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.